Summary: Yum plugin for using Asianux TSN
Name: yum-axtu-plugin
Version: 1.0
Release: 16%{?dist}
Group: System Environment/Base
Source0: axtu-plugin.py
Source1: axtu-plugin.conf
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: axtsn-client-tools >= 4.0-4.AXS4
Conflicts: PackageKit <= 0.5.8-13.0.7.AXS4

%description
With this plugin, your yum can connect to Asianux TSN to update packages.

%prep

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/yum-plugins/
mkdir -p ${RPM_BUILD_ROOT}/etc/yum/pluginconf.d/
install -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/usr/lib/yum-plugins/
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}/etc/yum/pluginconf.d/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%config(noreplace)/etc/yum/pluginconf.d/axtu-plugin.conf
/usr/lib/yum-plugins/axtu-plugin.py*

%changelog
* Wed Mar 3 2011 Bill Ye <ting.ye@asianux.com> - 1.0-16%{?dist}
- fix Bug8933, can not change system language due to fail to connect yum repository
- modify yum plugin for Gui and Cui mode
- conflict with PackageKit <= 0.5.8-13.0.7.AXS4

* Sat Feb 12 2011 Bill Ye <ting.ye@asianux.com> - 1.0-15%{?dist}
- fix debug info displays when connecting wrong server(AxBug8674)

* Thu Jan 27 2011 Bill Ye <ting.ye@asianux.com> - 1.0-14%{?dist}
- fix not read group information from server using yum plugin(AxBug8898)

* Thu Jan 13 2011 Bill Ye <ting.ye@asianux.com> - 1.0-13%{?dist}
- fix code bug 

* Thu Jan 06 2011 Hua Jie <jie.hua@asianux.com> - 1.0-12%{?dist}
- move *.so out of this package(Bug #8862)
- require axtsn-client-tools >= 4.0-4.AXS4

* Tue Jan 4 2011 Bill Ye <ting.ye@asianux.com> - 1.0-11%{?dist}
- add proxy function for yum(Bug8766, patch4)

* Wed Dec 22 2010 Hua Jie <jie.hua@asianux.com> - 1.0-10%{?dist}
- change get software and hardware informations binaries to libraries (patch2)
- remove register functions (patch3)
- add axconfig.py in python library directory
- use noreplace config attribute for axtu-plugin.conf

* Wed Nov 24 2010 Bill Ye <ting.ye@asianux.com> - 1.0-9%{?dist}
- fix not update any package using yum if not import gpgkey (patch1, bug8671)

* Tue Nov 23 2010 Bill Ye <ting.ye@asianux.com> - 1.0-8%{?dist}
- plugin's name not suitable (patch0, bug8767)

* Tue Nov 2 2010 Bill Ye <ting.ye@asianux.com> - 1.0-7%{?dist}
- fix bug8702 error message not accurate when input wrong user name or password

* Mon Nov 1 2010 Bill Ye <ting.ye@asianux.com> - 1.0-6%{?dist}
- take place of some function for file operations.

* Mon Nov 1 2010 Bill Ye <ting.ye@asianux.com> - 1.0-5%{?dist}
- fix bug8665, use static IP in the progrom

* Mon Oct 25 2010 Bill Ye <ting.ye@asianux.com> - 1.0-4%{?dist}
- fix bug8686, Plugin "ax4plugin" can't be imported. 

* Sun Oct 24 2010 Bill Ye <ting.ye@asianux.com> - 1.0-3%{?dist}
- fix bug8675

* Wed Oct 20 2010 Bill Ye <ting.ye@asianux.com> - 1.0-2%{?dist}
- hardware infomation got error (bug8666)
- typo problem (bug8673) 

* Tue Oct 19 2010 Hua Jie <jie.hua@asianux.com> - 1.0-1%{?dist}
- create the package
